2 Replies Latest reply on Apr 20, 2010 9:57 AM by Manuel Jordan

    About jBPM and jBoss Tools

    Manuel Jordan Newbie

      Dear Members

       

      I have a successful installation with jBPM 4.3 with Eclipse jee Galileo SR2 (eclipse-jee-galileo-SR2-win32.zip),

      furthermore I have downloaded JBoss Tools 3.1  Eclipse 3.5.2 full package JBossTools-Update-3.1.0.v201003050540R-H56-GA.zip

       

      I am not an expert in JBoss world, but

       

      1) why have again included jBPM inside the JBoss tools? If jBPM is out there how stand alone?

      2) exists some difference between the standalone version and the included in JBoss Tools? if yes which ones?

       

      I see that I receive error of conflicts when I try to install  JBoss tools since jBPM is already installed and always ask for

      birt dependencies, therefore should I download  jee birt (eclipse-reporting-galileo-SR2-win32.zip) ?

       

      Thanks in advanced

       

      -Manuel

        • 1. Re: About jBPM and jBoss Tools
          Koen Aers Master

          Hi Manuel,

           

          JBoss Tools contains the exact same jBPM plugins as you have when downloading a jBPM release and installing them in Eclipse. Especially with  the latest release of JBoss Tools (3.1.0.GA) you will also have the latest jBPM plugins.

           

          Cheers,

          Koen

          • 2. Re: About jBPM and jBoss Tools
            Manuel Jordan Newbie

            Hello Koen

             

            Thanks for the reply, I appreciate

             

            Koen Aers wrote:

             

            Hi Manuel,

             

            JBoss Tools contains the exact same jBPM plugins as you have when downloading a jBPM release and installing them in Eclipse. Especially with  the latest release of JBoss Tools (3.1.0.GA) you will also have the latest jBPM plugins.

             

            Cheers,

            Koen

            I would conclude that always that if jBPM project release a new version (i.e 4.5 ), then jBoss Tools should quickly release a complete installer but updating the new jBPM version?, or this would happen in inverse order?, I am worry about such update schedule approach for my own control

             

            I have the follow experience, please give me your opinion

             

            I have recently unzip eclipse-jee-galileo-SR2-win32.zip twice in two independents directories, I mean

             

            1. eclipse-jee-galileo-SR2-01 working with eclipse-jee-galileo-SR2-01-wordkspace
            2. eclipse-jee-galileo-SR2-02 working with eclipse-jee-galileo-SR2-02-wordkspace

             

            Then I installed successfully jbpm-4.3.zip to work with eclipse-jee-galileo-SR2-01, since I want use jBoss Tools for my work, I proceed install

            JBossTools-Update-3.1.0.v201003050540R-H56-GA.zip ,therefore I want:

             

            eclipse-jee-galileo-SR2  + jbpm-4.3 +JBossTools-Update-3.1.0

             

            I have the follow experience

            I first arrive to

             

            jbosstools01.png

            Like playing I select all, in the next windows I receive the follow errors

             

             

            Your original request has been modified.
             "jBPM 4 Graphical Editor and Tools" is already installed, so an update will be performed instead.
             "jBPM 4 Tools SDK" is already installed, so an update will be performed instead.
            Cannot complete the install because of a conflicting dependency.
             Software being installed: jBPM 3 Tools SDK 3.2.0.v201003041416-7F79-94E5OxDFBHBNBT9QEJIt957 (org.jboss.tools.jbpm3.sdk.feature.feature.group 3.2.0.v201003041416-7F79-94E5OxDFBHBNBT9QEJIt957)
             Software currently installed: Common tools for jBPM 3 and jBPM 4 Sources 4.3.0.v200912212157-52-7w311A23323268 (org.jboss.tools.jbpm.common.source.feature.feature.group 4.3.0.v200912212157-52-7w311A23323268)
             Only one of the following can be installed at once: 
             Common tools for jBPM 3 and jBPM 4 Sources 4.3.0.v200912212157-52-7w311A23323268 (org.jboss.tools.jbpm.common.source.feature.feature.jar 4.3.0.v200912212157-52-7w311A23323268)
             Common tools for jBPM 3 and jBPM 4 Sources 4.3.0.v201003041416-52-7w312114152527 (org.jboss.tools.jbpm.common.source.feature.feature.jar 4.3.0.v201003041416-52-7w312114152527)
             Cannot satisfy dependency:
             From: Common tools for jBPM 3 and jBPM 4 Sources 4.3.0.v200912212157-52-7w311A23323268 (org.jboss.tools.jbpm.common.source.feature.feature.group 4.3.0.v200912212157-52-7w311A23323268)
             To: org.jboss.tools.jbpm.common.source.feature.feature.jar [4.3.0.v200912212157-52-7w311A23323268]
             Cannot satisfy dependency:
             From: Common tools for jBPM 3 and jBPM 4 Sources 4.3.0.v201003041416-52-7w312114152527 (org.jboss.tools.jbpm.common.source.feature.feature.group 4.3.0.v201003041416-52-7w312114152527)
             To: org.jboss.tools.jbpm.common.source.feature.feature.jar [4.3.0.v201003041416-52-7w312114152527]
             Cannot satisfy dependency:
             From: jBPM 3 Tools SDK 3.2.0.v201003041416-7F79-94E5OxDFBHBNBT9QEJIt957 (org.jboss.tools.jbpm3.sdk.feature.feature.group 3.2.0.v201003041416-7F79-94E5OxDFBHBNBT9QEJIt957)
             To: org.jboss.tools.jbpm.common.source.feature.feature.group [4.3.0.v201003041416-52-7w312114152527]
            

             

            Therefore in the same window I un check jBPM 3Tools SDK check button

             

            jbosstools02.png

             

            I press next button to forward but again I receive other error

             

             

            Your original request has been modified.
             "jBPM 4 Graphical Editor and Tools" is already installed, so an update will be performed instead.
             "jBPM 4 Tools SDK" is already installed, so an update will be performed instead.
            Cannot complete the install because one or more required items could not be found.
             Software being installed: JBoss BIRT Integration 1.1.0.v201003050540R-H56-GA (org.jboss.tools.birt.feature.feature.group 1.1.0.v201003050540R-H56-GA)
             Missing requirement: JBoss BIRT Integration 1.1.0.v201003050540R-H56-GA (org.jboss.tools.birt.feature.feature.group 1.1.0.v201003050540R-H56-GA) requires 'org.eclipse.birt.integration.wtp.feature.group 2.5.0' but it could not be found
            
            
            

             

             

            Therefore in the same window I un check jBoss BIRT Integration check button

             

             

            jbosstools03.png

            Again I press next button and I receive the follow error

             

             

            Your original request has been modified.
             "jBPM 4 Graphical Editor and Tools" is already installed, so an update will be performed instead.
             "jBPM 4 Tools SDK" is already installed, so an update will be performed instead.
            Cannot complete the install because of a conflicting dependency.
             Software being installed: jBPM 4 Tools SDK 4.3.0.v201003041939-7H2-9xQ99FIVGWIQEkEcRQbNKeja (org.jboss.tools.jbpm4.sdk.feature.feature.group 4.3.0.v201003041939-7H2-9xQ99FIVGWIQEkEcRQbNKeja)
             Software currently installed: Common tools for jBPM 3 and jBPM 4 Sources 4.3.0.v200912212157-52-7w311A23323268 (org.jboss.tools.jbpm.common.source.feature.feature.group 4.3.0.v200912212157-52-7w311A23323268)
             Only one of the following can be installed at once: 
             Common tools for jBPM 3 and jBPM 4 Sources 4.3.0.v200912212157-52-7w311A23323268 (org.jboss.tools.jbpm.common.source.feature.feature.jar 4.3.0.v200912212157-52-7w311A23323268)
             Common tools for jBPM 3 and jBPM 4 Sources 4.3.0.v201003041416-52-7w312114152527 (org.jboss.tools.jbpm.common.source.feature.feature.jar 4.3.0.v201003041416-52-7w312114152527)
             Cannot satisfy dependency:
             From: Common tools for jBPM 3 and jBPM 4 Sources 4.3.0.v200912212157-52-7w311A23323268 (org.jboss.tools.jbpm.common.source.feature.feature.group 4.3.0.v200912212157-52-7w311A23323268)
             To: org.jboss.tools.jbpm.common.source.feature.feature.jar [4.3.0.v200912212157-52-7w311A23323268]
             Cannot satisfy dependency:
             From: Common tools for jBPM 3 and jBPM 4 Sources 4.3.0.v201003041416-52-7w312114152527 (org.jboss.tools.jbpm.common.source.feature.feature.group 4.3.0.v201003041416-52-7w312114152527)
             To: org.jboss.tools.jbpm.common.source.feature.feature.jar [4.3.0.v201003041416-52-7w312114152527]
             Cannot satisfy dependency:
             From: jBPM 4 Tools SDK 4.3.0.v201003041939-7H2-9xQ99FIVGWIQEkEcRQbNKeja (org.jboss.tools.jbpm4.sdk.feature.feature.group 4.3.0.v201003041939-7H2-9xQ99FIVGWIQEkEcRQbNKeja)
             To: org.jboss.tools.jbpm.common.source.feature.feature.group [4.3.0.v201003041416-52-7w312114152527]  
            
            
            

             

            Therefore I un check all the jBPM related check buttons

             

             

            jbosstools04.png

             

             

            Therefore I can press next button without problem and arrive to

             

             

            jbosstools05.png

            I do emphasis about the follow message:

             

             "jBPM 4 Graphical Editor and Tools" is already installed, so an update will be performed instead.
             "jBPM 4 Tools SDK" is already installed, so an update will be performed instead.
             
            

            where the update decision can't happen, and I don't know why appear in my previous error messages references to jBPM 3

             

            OK, now the fun part, If I proceed to press next button, I arrive to here

             

             

            jbosstools06.png

            The fun part is that the radio button is selected where you can see I accept the .... but the Finish button is totally disabled, of course that I did a carefully revision for each element in the list and none has I do not .... , therefore I don't know what is wrong here, some idea?

             

            Now the second approach that I did is only with:

            eclipse-jee-galileo-SR2-02 and JBossTools-Update-3.1.0.v201003050540R-H56-GA.zip

            all work fine

             

            Please share your thoughts

             

            Thanks in advanced

             

            -Manuel